export async function mount(where) {
  const managementHelperComponent = new ManagementHelper();
  await managementHelperComponent.mount(where);
}

class ManagementHelper {
  constructor() {}

  async mount(where) {
    const mountpoint = where;
    document.getElementById(mountpoint).innerHTML = /* HTML */ `
      <div class="card-no-hover helper">
        <h2 class="title is-2">Aide pour la gestion d'une élection</h2>

        <h5 class="title is-5">Onglet Partis politiques</h5>

        L'onglet "Partis Politiques" permet de créer des tendances poltiques qui
        se retrouvent sur plusieurs circonscriptions.<br />
        Pour ajuter un parti il suffit de cliquer sur
        <span class="icon is-small">
          <i class="fas fa-plus"></i>
        </span>
        Un fenêtre s'ouvre et permet de saisir le nom du parti (ou de la
        tendance politique) et de choisir la couleur qui sera associé à ce parti
        dans l'affichage des résultats. Pour modifier un parti, il suffit de
        cliquer sur
        <span class="icon is-small">
          <i class="fas fa-pen"></i>
        </span>
        et pour en supprimer un sur
        <span class="icon is-small"> <i class="fas fa-trash"></i> </span>. La
        suppression affichera l'ensemble des listes qui sont rattachées à ce
        parti sur toutes les élections et demandera de confirmer l'action de
        suppression car toutes ces listes seront alors supprimées.<br /><br />

        <h5 class="title is-5">Onglet Élection</h5>
        L'onglet élection permet de créer le découpage territorial d'une
        élection. Il est possible de naviguer dans l'abrorescence de l'élection
        en cliquant sur les différentes zones la composant<br /><br />

        <article class="message is-warning">
          <div class="message-header">
            <p>Attention</p>
          </div>
          <div class="message-body">
            Il est necessaire pour que l'application fonctionne corrctement que
            chaque élection ai au moins une circonscription composée elle même
            d'au moins une ville avec au minimum un bureau.
          </div>
        </article>

        <strong>Élection</strong>
        Pour créer une nouvelle élection cliquer sur
        <span class="icon is-small"> <i class="fas fa-plus"></i> </span>, une
        fenêtre s'ouvre alors, il faut saisir le nom de cette élection, choisir
        le système de vote qui sera appliqué (pour calculer les résultats),
        selectionner la carte pour les cirocnscriptions et celle pour les
        villes. En cliquant sur "Sauvegarder" l'élection sera ajoutée et en
        cliquant sur "Sauvegarder (ajouter circonscription)" elle sera
        sauvegardée et la fenêtre pour y attacher une circonscription sera
        ouverte.<br /><br />

        <strong>Circonscription</strong>
        Une circonscription peut être ajoutée à l'élection selectionnée en
        cliquant sur
        <span class="icon is-small"><i class="fas fa-plus"></i></span> . Il faut
        alors saisir son nom, le nombre de siège à pourvoir et l'identifiant qui
        lui correspond sur la carte des circonscriptions. <br />En cliquant sur
        "Sauvegarder" la circonscription sera ajoutée et en cliquant sur
        "Sauvegarder (ajouter circonscription)" elle sera ajoutée et la fenêtre
        pour ajouter une nouvelle circonscription à l'élection sera ouverte. En
        cliquant sur "Sauvegarder (ajouter ville)" elle sera ajoutée et la
        fenêtre pour ajouter une ville à la circonscription sera ouverte.<br /><br />

        <strong>Ville</strong>
        Une ville peut être ajoutée à une circonscription selectionnée en
        cliquant sur
        <span class="icon is-small"><i class="fas fa-plus"></i></span> . Il faut
        alors saisir son nom et l'identifiant qui lui correspond sur la carte
        des villes. <br />En cliquant sur "Sauvegarder" la ville sera ajoutée et
        en cliquant sur "Sauvegarder (ajouter ville)" elle sera ajoutée et la
        fenêtre pour ajouter une nouvelle ville à la circonscription sera
        ouverte. En cliquant sur "Sauvegarder (ajouter bureau)" elle sera
        ajoutée et la fenêtre pour ajouter un bureau à la ville sera ouverte.<br /><br />

        <strong>Bureau</strong>
        Un bureau peut être ajoutée à une ville selectionnée en cliquant sur
        <span class="icon is-small"><i class="fas fa-plus"></i></span> . Il faut
        alors saisir son nom et le nombre d'inscrit dans ce bureau.
        <article class="message is-warning">
          <div class="message-header">
            <p>Attention</p>
            <button class="delete" aria-label="delete"></button>
          </div>
          <div class="message-body">
            Le nombre d'inscrit est obligatoire car il permet de calculer le
            taux d'abstention et le pourcentage de saisie en cours qui est
            pondéré par le nombre d'inscrits par bureau.
          </div>
        </article>
        En cliquant sur "Sauvegarder" le bureau sera ajouté et en cliquant sur
        "Sauvegarder (ajouter bureau)" il sera ajouté et la fenêtre pour ajouter
        un nouveau bureau à la ville sera ouverte.<br /><br />

        <strong>Cloner une élection</strong>
        Il est possible de cloner une élection et son arborescence en cliquant
        sur
        <span class="icon is-small">
          <i class="fas fa-clone"></i>
        </span>
        dans la liste des élections.<br /><br />

        <h5 class="title is-5">Onglet Tour</h5>
        Une élection est composée de un ou plusieurs tours, il faut donc
        configuré ces tours pour utiliser l'application.<br /><br />

        Dans l'onglet "Tour" il est possible de créer un tour pour une élection
        en cliquant sur
        <span class="icon is-small"><i class="fas fa-plus"></i></span>. Il faut
        alors sélectionner l'élection à laquelle on crée un tour, la date du
        tour et le numéro du tour. Il est possible de modifier les informations
        en cliquant sur
        <span class="icon is-small"><i class="fas fa-pen"></i></span> et de le
        supprimer en cliquant sur
        <span class="icon is-small"><i class="fas fa-trash"></i></span
        ><br /><br />

        En cliquant sur un tour, on rentre dans la configuration du tour. La
        bouton sur la gauche permet de revenir à l'écran précédent. Il y a deux
        sections qui peuvent être ouvertes l'une après l'autre, il faut cliquer
        sur la barre de titre de l'une des deux sections pour en changer.<br /><br />

        <strong>Section "Bureaux de Votes"</strong><br />
        La liste de tous les bureaux de votes de l'éelection s'affiche ici. En
        cliquant sur un bureau les détails de ce bureau s'affiche. Il est
        possible de consulter les votes et de les modifier comme dans l'onglet
        "Votes". Il est possible de "Valider" un bureau, les votes de ce bureau
        ne pourront alors plus être modifié.<br /><br />

        Pour ajouter un utilisateur à la liste des saisseurs, cliquer sur
        l'icône
        <span class="icon is-small">
          <i class="fas fa-user"></i>
        </span>
        pour ouvrir la liste des saisisseurs de ce burea, il suffit ensuite de
        cliquer sur l'utilisateur dans la colonne de droite "Saisisseurs
        disponibles", il va alors basculer dans la colonne de gauche
        "Saisisseurs actifs". Pour le supprimer il suffit de faire de même dans
        la colonne de gauche "Saisisseurs actifs", il va alors basculer dans la
        colonne de droite "Saisisseurs disponibles".<br /><br />

        <strong>Section "Liste des candidats par circonscription"</strong>
        La liste des circonscription du tour est affichée, en cliquant sur une
        circonscription, la liste des listes de candidats de la circonscription
        s'affiche. Il est possible d'en créer une en cliquant sur
        <span class="icon is-small"> <i class="fas fa-plus"></i>. </span>Une
        fenêtre s'ouvre alors pour saisir le nom de la liste et le parti auquel
        elle est attachée. En cliquant sur
        <span class="icon is-small">
          <i class="fas fa-download"></i>
        </span>
        Une fenêtre s'ouvre et permet d'importer une liste directement depuis un
        tour précédent pour éviter de resaisir toutes les informations de la
        listes.<br /><br />

        En cliquant sur une liste, les canddiats s'affichent, il est possible
        d'ajouter et de modifier des candidats en éditant les champs dans le
        tableau et en cliquant sur
        <span class="icon is-small">
          <i class="fas fa-check"></i>
        </span>
        pour chaque ligne éditée afin qu'elles soient prises en compte.<br />
        Le rang ordonne les candidats lors du calcul des élus, la date de
        naissance permet de départager des listes et des candidats lors du
        calcul des élus en cas d'égalité, la case incompatibilité potentielle
        permet d'identifier les élus qui pourraient poser problème s'ils sont
        élus (autre mandat en cours, fonctionnaire...). La case refusé permet
        d'éliminer du calcul des élus des candidats qui se sont porter sur une
        liste mais qui finalement ne souhaient pas siéger. La case supprimer
        permet d'éliminer du calcul des élus les candidats qui seraient décédé
        entre la date de cloture de dépôt des listes et l'élection. (La case
        "Conseiller communautaire" n'est pas fonctionelle mais permettrai
        d'identifier les élus qui vont siéger au conseil communautaire lors
        d'élection municipale)
      </div>
    `;
  }
}
