export async function mount(where) {
  const userHelperComponent = new UserHelper();
  await userHelperComponent.mount(where);
}

class UserHelper {
  constructor() {}

  async mount(where) {
    const mountpoint = where;
    document.getElementById(mountpoint).innerHTML = /* HTML */ `
      <div class="card-no-hover helper">
        <h2 class="title is-2">Aide pour la gestion des utilisateurs</h2>

        Les utilisateurs peuvent soient provenir de la base locale de
        l'application soit être provisionnés par un fournisseur d'identité. La
        différence se fait sur la présence du champ IdOAuth qui n'est renseigné
        que pour les utilisateurs provisonnés depuis le fournisseur d'identité
        raccordé à l'application.<br /><br />

        <h5 class="title is-5">Ajout d'un utilisateur</h5>

        Pour ajouter un utilisateur il faut cliquer sur le bouton
        <span class="icon is-small">
          <i class="fas fa-plus"></i>
        </span>
        en dessous du tabeau avec la liste des utilisateurs. Il faut au minimum
        renseigner un identifiant et un rôle pour l'utilisateur. Le mot de
        passe, qui est également obligatoire, est généré de manière aléatoire et
        peut être modifié. <br /><br />

        <h5 class="title is-5">Modification d'un utilisateur</h5>

        Pour modifier un utilisateur il faut cliquer sur le bouton "modifier"
        dans la colonne action des utilisateurs. La même modale que pour la
        création s'ouvre. Enlever le rôle de saisisseur à un utilisateur
        enlèvera toutes ses affectations sur les bureaux qui seront
        définitivement perdus.<br />

        Lors de la modification d'un utilisateur le champ mot de passe est vide,
        s'il est laissé vide le mot de passe ne sera pas modifié, autrement il
        sera modifié par la valeur du champ.<br /><br />

        <h5 class="title is-5">Affectation des saisisseurs sur les bureaux</h5>

        Pour affecter des utilisateurs à un bureau il faut se rendre dans le
        menu "Gestion" puis dans l'onglet "Tour", sélectionner un tour, puis
        dans la liste des bureaux de votes cliquer sur l'icône
        <span class="icon is-small">
          <i class="fas fa-user"></i>
        </span>
        pour ouvrir la liste des saisisseurs de ce bureau.<br />

        Pour ajouter un utilisateur à la liste des saisseurs il suffit de
        cliquer sur l'utilisateur dans la colonne de droite "Saisisseurs
        disponibles", il va alors basculer dans la colonne de gauche
        "Saisisseurs actifs". Pour le supprimer il suffit de faire de même dans
        la colonne de gauche "Saisisseurs actifs", il va alors basculer dans la
        colonne de droite "Saisisseurs disponibles".
      </div>
    `;
  }
}
